import React, {useEffect, useState} from 'react';
import Box from '@mui/material/Box';
import Button from '@mui/material/Button';
import Typography from '@mui/material/Typography';
import Modal from '@mui/material/Modal';
import { useDispatch, useSelector } from "react-redux";
import { fetchUsersAllFields } from '../../store/actions/usersActions';
import SwitchUserTable from './SwitchUserTable/SwitchUserTable';
import SwitchUserForm from './SwitchUserForm/SwitchUserForm';



const style = {
  position: 'absolute',
  top: '50%',
  left: '50%',
  transform: 'translate(-50%, -50%)',
  width: 'fit-content',
  bgcolor: 'background.paper',
  border: '2px solid #000',
  boxShadow: 24,
  p: 4,
};

const SwitchUserModal= ({open, handleClose})=> {
    const usersAllFields = useSelector(state => state.users.usersAllFields)
    
    const submitFormHandler=(e)=>{
        e.preventDefault();
        console.log('submitFormHandler', 
        'e.target.name ',  e.target.name,
         'e.target.value ', e.target.value)
    }

  return (
    <div>
      <Modal
        open={open}
        onClose={handleClose}
        aria-labelledby="modal-modal-title"
        aria-describedby="modal-modal-description"
      >
        <Box sx={style}>
    
        <SwitchUserForm
        
        submitFormHandler = {submitFormHandler}
        users = {usersAllFields}
        />
          </Box>
      </Modal>

     
    </div>
  );
}
export default SwitchUserModal;
